Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawablePoint Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePoint:
[legend]
Collaboration diagram for Magick::DrawablePoint:
[legend]

## Public Member Functions
| DrawablePoint (double x_, double y_)
| ~DrawablePoint (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1145 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawablePoint::DrawablePoint | ( | double | x_,
|  | double | y_
| ) |  |
| inline

Definition at line 1148 of file Drawable.h.

Magick::DrawablePoint::~DrawablePoint | ( | void |  | ) |

Definition at line 775 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawablePoint::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 782 of file Drawable.cpp.

void Magick::DrawablePoint::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 778 of file Drawable.cpp.

void Magick::DrawablePoint::x | ( | double | x_ | ) |
| inline

Definition at line 1161 of file Drawable.h.

double Magick::DrawablePoint::x | ( | void |  | ) | const
| inline

Definition at line 1165 of file Drawable.h.

void Magick::DrawablePoint::y | ( | double | y_ | ) |
| inline

Definition at line 1170 of file Drawable.h.

double Magick::DrawablePoint::y | ( | void |  | ) | const
| inline

Definition at line 1174 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp